Retrieve all contacts
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/invoicing/contactsimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<this-id>",
"source_ref": {
"id": "<target-software-id>",
"model": "invoice"
},
"is_prospect": true,
"is_customer": true,
"is_supplier": true,
"is_company": true,
"company_name": "Example Company S.A.",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"company_id": "<invoicing-company-id>",
"vat": "BE0000000000",
"company_number": "0000000000",
"currency": "EUR",
"language": "en",
"comment": "Preferred contact: accounts payable team.",
"customer_account_number": "<invoicing-account-number>",
"supplier_account_number": "<invoicing-account-number>",
"birthdate": "1990-01-01",
"gender": "H",
"addresses": [],
"external_reference": "CONTACT-0001"
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Contacts
Retrieve all contacts
Returns a list of all the contacts. Optionally contact type can be defined to retrieve contact from a certain type.
GET
/
consumers
/
{consumer_id}
/
invoicing
/
contacts
Retrieve all contacts
Learn more:
- What is a contact? ↗
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Available options:
prospect, customer, supplier, all